package controllers

import (
	"hongze/hongze_clpt/models"
	"hongze/hongze_clpt/services"
	"hongze/hongze_clpt/utils"
)

type ConfigController struct {
	BaseAuthController
}

// @Title 相关内容是否展示
// @Description 相关内容是否展示接口
// @Param	request	body models.IsShow true "type json string"
// @Success 200
// @router /isShow [get]
func (this *ConfigController) IsShow() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	user := this.User
	if user == nil {
		br.Msg = "请重新登录"
		br.Ret = 408
		return
	}
	var resp models.IsShow
	resp.IsBelongRai = services.GetBelongingRai(user.Mobile)
	br.Ret = 200
	br.Success = true
	br.Data = resp
}

// @Title 关于我们
// @Description 关于我们接口
// @Param	request	body models.IsShow true "type json string"
// @Success 200
// @router /aboutUs [get]
func (this *ConfigController) AboutUs() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	user := this.User
	if user == nil {
		br.Msg = "请重新登录"
		br.Ret = 408
		return
	}
	var aboutUs = new(models.AboutUs)
	aboutUs.Title = utils.ABOUT_US_TITLE
	aboutUs.Url = utils.ABOUT_US_URL
	br.Ret = 200
	br.Success = true
	br.Data = aboutUs
}

// @Title 关于我们浏览记录
// @Description 关于我们浏览记录接口
// @Success 200
// @router /aboutUs/addHistory [post]
func (this *ConfigController) AboutUsAdd() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	user := this.User
	if user == nil {
		br.Msg = "请重新登录"
		br.Ret = 408
		return
	}
	go services.AddCygxAboutUsVideoHistory(user)
	br.Ret = 200
	br.Success = true
	br.Msg = "操作成功！"
}
